#
# This SQL file will create the necessary table for the IP Tracking Module.
# 
# This is an alternate method of creating the table for first time install only.
#
# The iptrackingtable.php file is also provided to allow browser based table install
# for either first time install or upgrade.

create table if not exists nuke_iptracking (
			 ipid int(10) NOT NULL auto_increment,
			 username varchar(25),
			 date_time datetime NOT NULL,
			 ip_address varchar(15) NOT NULL,
			 hostname varchar(100) NOT NULL,
			 page varchar(150) NOT NULL,
			 PRIMARY KEY (ipid),
			 KEY ipid (ipid)
);

create index i1iptracking on nuke_iptracking (ip_address, hostname);

# storing username instead of user_id to avoid joining iptracking table to user table all the time
# luckily username is unique in user table so we can join to it when we want user information
